About the Print Manual Designer
Return to Introduction
This application is part of Help & Manual and must not be distributed separately.
© 2001 EC Software. All rights reserved.

The Print Manual Designer is a visual tool to design print manual templates. These manual templates are used by the print engine of Help & Manual to print a user manual and to create PDF files.

On the one hand, you can create an absolutely professional layout with this designer. On the other hand, the possibilities may appear overwhelming if you are not familiar with this application. We strongly recommend to read about the concepts first.

Then, before you start from the scratch, open one of the supplied sample files. It is much easier and less manual labor to change the examples and save them under a different name than to start with blank pages. Print manual templates have the file extension .mnl and you find the examples in the \Templates folder beneath the application folder of Help & Manual.

Understanding the Concept (Overview)

Sections, Bands and Objects
Paper Sizes
Sections with Bands

Designing a Print Manual (Step by Step)

Get started with the Standard Template


Sections, Bands and Objects
Return to Introduction
A print manual template is divided into (predefined) sections. Some of the sections have sub-sections, so-called bands. The bands are predefined as well. Finally, each section contains print objects which actually display text, lines, images and so on. Print objects can be freely created, moved, modified and deleted.

When you open the print manual designer, you are viewing a blank Cover Page. Use the combo box on the tool bar to switch from one section to another:

The sections are predefined. Neither can you add additional sections nor can you delete the existing sections. But you can switch off a section if you do not want to include it. More on that later. The sections are discussed in the following chapter, here is a list:

Section | Repeating / Not repeating | Can be omitted
Cover Page | always 1 page | Yes
Title Page 1 | always 1 page | Yes
Title Page 2 | always 1 page | Yes
Title Page 3 | always 1 page | Yes
Table of Contents |  | Yes
Foreword | always 1 page | Yes
Top Level Intro | always 1 page | Yes
Topics |  | NO
Endnotes | always 1 page | Yes
Keyword Index |  | Yes
Endnotes 2 | always 1 page | Yes
Back Cover | always 1 page | Yes

Some sections, such as the Cover and Title Pages, will always become one physical page in the printed manual. Other sections, such as the Table of Contents or the Topics section, are repeated, if their content does not fit on a single page. These repeating sections are sub-divided into Bands.


Paper Sizes
Return to Introduction
As discussed in the previous topic, a print manual template has 12 predefined sections. Each section displays itself as a page (template). Since we have 12 sections, you can apply a different layout to each section. The Cover Page for instance may not have headers and footers.

All sections share the same page format. This means, all pages are of the same size and the same orientation. This page size is a logical page size and is not necessarily identical with the physical paper size of your printer! Let's investigate an example to understand what this means!

Logical paper size vs. physical paper size

Imagine that you want to print a booklet for a CD Rom jewel case. Such a booklet has a size of 12 x 12 cm (or 4.72 x 4.72 inch). But the booklet is folded! So the pyhsical paper size of the booklet is actually 12 x 24 cm and contains two pages per sheet. Moreover, it is very likely that your printer cannot even handle such a paper size. You probably print the booklet on a paper of US Letter format (or A4, if you are European) and cut the margins when it's done. Right?

No matter, what your printer paper format is, the print manual template is designed for the logical page size. If we design a template for a CD booklet, we give it a page size of 12 x 12 cm. Help & Manual will later manage to print two pages on one paper sheet.


Sections with Bands
Return to Introduction
Most of the 12 predefined sections represent a simple page. This means, the section will always cover exactly one page when you print the manual, because they contain static content. At least, their content does not reach beyond one page.

Three sections, however, are divided into sub-sections. We call these sub-sections bands. The bands are predefined as well as the sections.

Which bands a section provides, depends on the section. The Table of Contents section, for example has a Title, separate bands for each heading level and a summary band.

See also:
Table of Contents section
Topics section
Keyword Index section


Cover Page
Return to Introduction
Purpose:

The Cover Page provides a place to display the product logo and the title. The Cover Page is always the very first page of the user manual.

Margins of this section:

The margins (red lines) of this section are rather meaningless. You can place objects inside and outside these margins. The margins should help you to place the objects properly.

If you don't want your manual to have a cover page, you can switch it off.

See also
The Cover Page of the Standard Print Manual Template


Title Pages

Title Page 1 - Title Page 3
Return to Introduction
Purpose:

These sections provide up to 3 pages to write some introduction to the user manual. Publishing notes, a long title etc. could be placed on these sections. All title pages are printed before the Table of Contents. If you want to place additional text after the table of contents, use the Foreword section.

Margins of these sections:

The margins (red lines) of these sections are rather meaningless. You can place objects inside and outside these margins. The margins should help you to place the objects properly.

If you don't want your manual to have title pages or if you just need one title, not three, you can switch it off.

See also
Title pages of the Standard Print Manual Template


Table of Contents
Return to Introduction
The Table of Contents section is one of the key sections of your manual. We don't need to explain what a table of contents is, do we? But we need to explain the bands of this section.

This section has 8 predefined bands:

Title The title band is printed once at the beginning of the table of contents. You place the text for "Table of Contents" on this band - in your local language of course. The title band is not repeated, even if the table of contents is longer than one page.

Top Level This band represents a top level entry in the table of contents. You may want to print top level entries with a different font and a different indentation than sub-entries.
Level 2 - 6 Represents headings on the second to sixth level. If your help project has a table of contents with less than 6 levels, these bands remain unused. If there are more than 6 levels, Help & Manual repeats Level 6 for all subsequent headings. (However, if you really defined more than 6 levels, nobody will ever read your help file. You'd better redesign it.)

Summary This band is printed once at the end of the table of contents.

The margins on this page define how the bands are arranged.

See also
Table of Contents of the Standard Print Manual Template


Foreword
Return to Introduction
Purpose:

The Foreword is similar to the Title Pages, except that it is placed after the Table of Contents and before the Topics.

Margins of these sections:

The margins (red lines) of these sections are rather meaningless. You can place objects inside and outside these margins. The margins should help you to place the objects properly.

If you do not need a foreword, you can switch it off.


Top Level Intro
Return to Introduction
Purpose:

The Top Level Intro actually belongs to the topics. This section is a single page that is printed before a new chapter.

Margins of these sections:

The margins (red lines) of these sections are rather meaningless. You can place objects inside and outside these margins. The margins should help you to place the objects properly.

If you do not want your manual to have a Top-Level Intro, you can switch it off.


Topic Pages
Return to Introduction
The Topic Page is the key section of your manual. This section is responsible how the topics are printed, whether they have headings or not and how the headings appear.

This section has 7 predefined bands:

Top Heading This band represents a top level entry in the table of contents. This heading may contain the same information as the Top Level Intro. You usually either use a Top Level Intro or a Top Heading.
Heading 2 - 6 Represents headings on the second to sixth level. If your help project has a table of contents with less than 6 levels, these bands remain unused. If there are more than 6 levels, Help & Manual repeats Level 6 for all subsequent headings. (However, if you really defined more than 6 levels, nobody will ever read your help file. You'd better redesign it.)

Topic Text This band will print the topic text. It may contain other print objects as well, but it must contain a Topic Text Placeholder.

The margins on this page define how the bands are arranged.


Keyword Index
Return to Introduction
The Keyword Index prints a keyword list. This section is only printed, if your help file contains keywords at all.

The Keyword Index has 5 predefined bands:

Title The title band is printed once at the beginning of the keyword index. You typically place the text for "Index" on this band - in your local language of course. The title band is not repeated, even if the keyword index is longer than one page.

Section This band represents a heading that contains the keyword separator. Keyword separators are the characters A to Z.
Top Level Represents a top-level keyword. Most keywords are top-level keywords. A single keyword that is not a sub-keyword of another keyword is a top-level keyword.
2nd Level Represents a second-level keyword. Second level keywords are sub-keywords below a top-level keyword. The print manual designer provides a maximum of 2 levels. Additional keyword levels will be printed together on the second level.

Summary This band is printed once at the end of the keyword index.

The margins on this page define how the bands are arranged.


Endnotes
Return to Introduction
Purpose:

The Endnotes sections are similar to the Foreword, except that they are printed after the Topics.

You have two Endnotes sections. Endnotes1 is printed before the Keyword Index, Endnotes2 after.

Margins of these sections:

The margins (red lines) of these sections are rather meaningless. You can place objects inside and outside these margins. The margins should help you to place the objects properly.

If you do not need endnotes, you can switch it off.


Back Cover
Return to Introduction
Purpose:

The Back Cover Page is similar to the Cover Page. The Back Cover only makes sense if you intend to print your user manual in a booklet style.

Margins of this section:

The margins (red lines) of this section are rather meaningless. You can place objects inside and outside these margins. The margins should help you to place the objects properly.

If you don't want your manual to have a back cover, you can switch it off.


Image Objects
Return to Introduction
An Image object contains a static image.

To insert an image object ...

1. Click the [image] button on the tool bar
2. Click into the workspace where you want to place the image. The Object Properties dialog pops up.
3. Click Load to load a bitmap from disk or click Paste to paste an image from the clipboard. The Load function supports bitmaps and Windows metafiles only but you can paste almost any graphic including GIF and JPEG from the clipboard.
4. Click OK.

Image Draw Modes

Image objects support several draw modes which you can select in the Object Properties dialog:

Auto Size Draws the image in it's original size. This is the default draw mode. You can move the image but if you attempt to resize it, the new size is ignored.
Draw within Boundaries Draws the image inside the rectangular object frame. The image appears in the top left corner of the object's boundaries.
Center within Boundaries Draws the image inside the rectangular object frame. The image is centered horizontally and vertically.
Stretch to Boundaries The image streches horizontally and vertically to fill the boundaries.
Stretch with Ratio The image streches horizontally and vertically to fill the boundaries but keeps it's aspect ratio.
Stretch Ratio & Center The image streches horizontally and vertically to fill the boundaries but keeps it's aspect ratio. The image is either horizontally or vertically centered.
Tile Creates a background pattern the fills the object's boundaries.


Shape Objects
Return to Introduction
A Shape object draws a rectangle, circle, ellipse or line.

To insert a Shape object ...

1. Click the [image] button on the tool bar
2. Click into the workspace where you want to place the shape. The Object Properties dialog pops up.
3. Select the desired shape type and choose frame color and fill color.
4. Click OK.


Topic Text Placeholder
Return to Introduction
Provides a placeholder for the actual topic text (formatted rich text including images, links, etc). The Topic Text place holder may only be used once in a manual template, and only be placed on the Topic band of the Topics section. This object is not allowed elsewhere.

To insert the Topic Text Placeholder ...

1. Switch to the Topics section
2. Click the [image] button on the tool bar
3. Click on the Topics band. The Object Properties dialog pops up.
4. Click OK.

This object does not have any properties you can change. Just the position and the size of the Topic Text Placeholder are important. They define the boundaries for the topics in the print manual. The height will expand automatically, but the top/left position as well as the width of the object mark the rectangle that the topics are printed in.


Text Objects
Return to Introduction
A Text object displays a static or variable text. Text objects can have a single line of text or multi-line text.

To insert a Text object ...

1. Click the [image] button on the tool bar
2. Click into the workspace where you want to place the text object. The Object Properties dialog pops up.
3. Enter the text that you want to appear as the object's caption and choose a font for the text. Any text that you enter is static text that does not change. We discuss below how to enter a text variable.
4. If you want a multiple-lines text object, enable the Word Wrap option.
5. Click OK.

Text Alignment
Defines whether your text is left or right aligned, or centered.

Color
Defines the background color of the text object (the color of the text is defined by the font color).


Static and Variable Text Objects
Return to Introduction
Text objects can contain static text or variable text or a mix of both.

Text objects with static text

Any text that you enter in the Text entry box of the Object Properties dialog is static.
Example:

Text objects with variable text

A text variable is simply included by inserting a special string into the text entry box. All text variables start with a "<" and end with a ">". In the example below, the string <Copyright> will be replaced in the printed manual with the actual copyright statement, defined in your help project. <Copyright> is only one among a long list of variables. The list of available variables is discussed below.

Examples:


List of Text Variables for Text Objects
Return to Introduction
Below is the complete list of text variables that you can use in Text Objects. We have to distinct between text variables, that refer to general properties of your help project (like <TITLE> or <COPYRIGHT>) and variables that refer to temporary properties which are only available while a specific topic is printing.

Variables available to all sections

<TITLE> Title of your help project.
<COPYRIGHT> Copyright statement in your help project.
<DATE> Current date in short format.
<DATELONG> Current date in long format.
<TIME> Time in short format.
<TIMELONG> Time in long format.
<NOW> Date & time.
<YEAR> Current year in 4 digit format.
<MONTHNAME> Current month (full month name).

Page Number References

Several variables simply reference page numbers. The page number variables are available in pairs - as arabic numbers (<PAGENUMBER> references 1, 2, 3, 4, ...) and with a preceding "R" for roman numbers of the same values (<R PAGENUMBER> references I, II, III, IV, ...). Whether or not you like roman page numbers is a matter of taste. Roman numbers are often used to enumerate the table of contents while the numbering of topics then switches to arabic numbers.

<PAGENUMBER> Current page in arabic numbers. This variable is available in all sections.
<RPAGENUMBER> Current page in roman numbers. This variable is available in all sections.

Page Number Variables for the Table of Contents section

The following page number references are only available in the Table of Contents section, to address start pages of the various sections:

<BEGINPAGECOVER> Page number where the Cover Page started.
<BEGINPAGETITLE1> Page number of the first title page.
<BEGINPAGETITLE2> Page number of the second title page.
<BEGINPAGETITLE3> Page number of the third title page.
<BEGINPAGEFOREWORD> Page number where the Foreword starts.
<BEGINPAGE1> Page number of a top-level heading in the table of contents. This variable is usually placed on the Top Level Entry band of the Table of Contents section.
<BEGINPAGE2> Similar to <BEGINPAGE1>, just references a level 2.
<BEGINPAGE3> Similar to <BEGINPAGE1>, just references a level 3.
<BEGINPAGE4> Similar to <BEGINPAGE1>, just references a level 4.
<BEGINPAGE5> Similar to <BEGINPAGE1>, just references a level 5.
<BEGINPAGE6> Similar to <BEGINPAGE1>, just references a level 6.
<BEGINPAGEENDNOTE1> Page number of the first Endnotes section.
<BEGINPAGEINDEX> Page number where the Keyword Index starts.
<BEGINPAGEENDNOTE2> Page number of the second Endnotes section.
<BEGINPAGEBACKCOVER> Page number of the Back Cover.

<RBEGINPAGECOVER> Similar to <BEGINPAGECOVER>, just roman numbers.
<RBEGINPAGETITLE1> Similar
<RBEGINPAGETITLE2> Similar
<RBEGINPAGETITLE3> Similar
<RBEGINPAGEFOREWORD> Similar
<RBEGINPAGE1> Similar
<RBEGINPAGE2> Similar
<RBEGINPAGE3> Similar
<RBEGINPAGE4> Similar
<RBEGINPAGE5> Similar
<RBEGINPAGE6> Similar
<RBEGINPAGEENDNOTE1> Similar
<RBEGINPAGEINDEX> Similar
<RBEGINPAGEENDNOTE2> Similar
<RBEGINPAGEBACKCOVER> Similar

Variables for the Table of Contents as well as the Topics section

<HEADING1> Contains the string of the current top-level heading. This is the same text as it appears in the table of contents of your compiled help file. You will use this variable both in the Table of Contents section and as a caption in the Topics section. The variable does not include an enumeration.
<HEADING2> Similar to <HEADING1>, contains the string of the current level-2 heading.
<HEADING3> Similar to <HEADING2>.
<HEADING4> Similar to <HEADING2>.
<HEADING5> Similar to <HEADING2>.
<HEADING6> Similar to <HEADING2>.

<NUMBERING1> Number of the current top-level heading. You will use this variable both in the Table of Contents section and as a caption in the Topics section.
<NUMBERING2> Number of the current level-2 heading.
<NUMBERING3> Number of the current level-3 heading.
<NUMBERING4> Number of the current level-4 heading.
<NUMBERING5> Number of the current level-5 heading.
<NUMBERING6> Number of the current level-6 heading.

<RNUMBERING1> Similar to <NUMBERING1>, just roman numbers instead of arabic.
<RNUMBERING2> Similar
<RNUMBERING3> Similar
<RNUMBERING4> Similar
<RNUMBERING5> Similar
<RNUMBERING6> Similar

Variables for the Keyword Index Section

The following variables are only used in the Keyword Index section. Use the variable <INDEXSECTION> only in objects placed on the Section Heading band. Use <INDEXKEYWORD> only in objects placed on the Keyword Text band and so on.

<INDEXSECTION> Contains the first character of the current keyword. These are the characters A to Z.
<INDEXKEYWORD> Contains the string of the current top-level keyword.
<INDEXKEYWORD2> Contains the string of the current second-level keyword.
<KEYWORDPAGENUMBERS> Contains a list of page numbers the current keyword refers to. The list is a string of arabic page numbers (e.g. "5, 17, 33, 34, 128"), separated by commas. This variable is valid for top-level keywords as well as for second-level keywords.


Using the Mouse to select and change objects
Return to Introduction
The print manual designer supports the following mouse functions:

Left Mouse Click Selects a single object if the mouse pointer is on an object. If there is no object beneath the mouse pointer, the current selection will be removed. Once an object is selected, you can resize it by clicking on the drag points and moving the mouse.

Shift Left Mouse Selects multiple objects. If you select multiple objects, you can together move them but not resize.

Right Mouse Click Displays a context menu for a selected object.

Double Click Selects a single objects and opens the properties page of the object.


Keyboard Shortcuts
Return to Introduction
General keyboard shortcuts:

Ctrl + N Clears the workspace and makes a new print manual template
Ctrl + O Opens an existing print manual template
Ctrl + S Saves the current template

Ctrl + C Copies the selected object(s) to the clipboard
Ctrl + X Copies the selected object(s) to the clipboard, then deletes the objects
Ctrl + V Inserts objects that have been copied to clipboard before
DEL Deletes the selected object(s)
Ctrl + Z Reverses the last action
Ctrl + E Opens the properties dialog for a selected object, if an object is selected. If no object is selected, it opens the page properties dialog box.

F1 Opens the help overview
Shift + F1 Switches to a context sensitive help mode

Keyboard shortcuts available when one or more objects are selected:

Arrow keys Moves the selected object(s) on pixel

Shift + Arrow keys Increases resp. decreases the width resp. height of the selected object. This is possible when you selected a single object only. Multiple objects cannot be resized, just moved.


Start Here
Return to Introduction
When you open the print manual designer, you see the main window with an empty page.

Designing a print manual template is a lot of work. You can save much time if you do not start from the scratch but open the standard template to start with.

To design your own print manual, start with the standard template, modify it, then save it with a different file name.

To open the standard template

1. Click File | Open
2. Locate the file standard_manual.mnl
3. Click OK

The standard manual uses several features of the print manual designer. We will discuss these features, their meaning and how to use them in the following chapter.

After you opened the standard manual, you will see the page below. This is the cover page of the standard manual:


Page Format
Return to Introduction
The standard manual has the paper format US Letter. This will be suitable for most U.S. users. If you prefer a DIN A4 page format, open the second manual template standard_manual_A4.mnl instead. That file is similar, just the page format is different.

Changing the page format

To change the general page format, click File | Page Settings and set the page format to the desired size and orientation.

For your very first manual template, we recommend not to change the page format.

The reason is: if you resize the page to a smaller size, print objects will be cut off resp. moved to fit on the now smaller page size. This may look irritating if you are not used to work with the program.


Cover Page
Return to Introduction
The Cover Page of the Standard Manual is very simple. It has a shape (white rectangle with black border) to draw a frame on the page, a dominant logo image and simple text objects with variable text.

To change the logo image

If you do not want a logo image at all...

1. Click on the image to select it
2. Choose Edit | Delete to delete the object

else...

1. Double click the image
2. In the image dialog box, click Load File... and select your own product logo

Text objects on the Cover Page

The first text object has a static text. Simply double click the text object to change it's text.

The second text object contains variable text "<COPYRIGHT>". When you print the manual, this text variable will change to the copyright statement that you defined in your help project.

To disable the Cover Page at all

If you do not want a cover at all, you can disable the whole section.

1. Click File | Page Settings
2. Select the second tab This Section Only
3. Disable the option Print Section

See also:
Back Cover


Title Page 1
Return to Introduction
Title Page 1 of the Standard Manual introduces your product. It has only text objects with static and variable text.

When you print the user manual, you will notify that there is a blank page between the Cover Page and Title Page 1. This is intention. We want Title Page 1 to start on an odd page and the next odd page after the cover is "3". So a blank page is inserted before.

You can change this option if you click File | Page Settings:

To disable Title Page 1

If you do not want a title page at all, you can disable the whole section.

1. Click File | Page Settings
2. Select the second tab This Section Only
3. Disable the option Print Section


Title Page 2
Return to Introduction
Title Page 2 of our standard manual is similar to Title Page 1. You could use this page to print some legal notes or similar statements.

The major difference in comparison with Title Page 1 is that it does not start on an odd page. If Title Page 1 is printed on the 3rd paper sheet, Title Page 2 is the very next page and will become the back side of previous page.

To disable Title Page 2

If you do not want to print this page at all, you can disable it.

1. Click File | Page Settings
2. Select the second tab This Section Only
3. Disable the option Print Section


Title Page 3
Return to Introduction
Title Page 3 of our standard manual is similar to the previous title pages.
This page is disabled by default, which means, it is omitted in the printed manual.

To activate Title Page 3

If you need more than two title pages, you can activate the 3rd title page:

1. Click File | Page Settings
2. Select the second tab This Section Only
3. Enable the option Print Section


Table of Contents (Key Section)
Return to Introduction
Well, the table of contents (TOC) is one of the key sections of our manual template. This page is different to the previous sections, it has bands. The bands on this page and their meaning were discussed in the previous chapter (click here to jump back). We focus the print objects on this page.

The Page Header

Unlike the foregone pages, the TOC has a page header. The page header is created by several objects placed directly on the page background (not on the bands). Please note that the top margin of this section must be large enough to fit the page header objects. The top margin defines the y-position where the first band starts printing.

Flipping page headers

If you print the manual, you will notice that the page header flips. The page number appears on the right side on odd pages and on the left side on even pages. The trick is: these page header objects are double! One page number object is for odd pages only, the other for even pages. The captions <TITLE> and Contents work similar. Select one of the views on the tool bar, to see the flipping effect during design time.

These tool bar buttons change the view:

See also
Bands in the Table of Contents


Bands in the Table of Contents
Return to Introduction
The TOC has 8 predefined bands. The layout is much simpler than it looks.

The Title Band

This band is printed once at the beginning of the TOC. We used this band to place the heading "Table of Contents" there and we added a page reference to the Foreword Section. The Foreword is not automatically referenced in the TOC. By the way, you find a similar reference to the keyword index on the summary band (see below).

TOC Top Level Band

The top level band and the following sub-level bands are each reserved for one level of the table of contents. Look at the text objects: each band contains text objects that exactly refer to TOC-numberings and TOC-headings of their respective level. These bands will repeat when you print the user manual, according to the actual structure of the TOC of your help project.

Numbering Text Object: This text object contains static plus variable text. The word "Part " is static and the variable <RNUMBERING1> adds the chapter numbering in roman numbers (use <NUMBERING1> instead if you want arabic numbers). To omit the word "Part", double click the text object and remove the static text.

Heading Text Object: This text object contains the variable <HEADING1> which represents the caption of the chapter. Please note that this caption may wrap it's text, because "Word wrap" is enabled for this text object.

Beginpage Text Object: This text object contains the variable <BEGINPAGE1> which refers to the page number in your manual where this chapter actually starts. This text object is right aligned so that the page number gets aligned with the right margin.

TOC Sub-Level Bands

The sub-level bands are similar to the top-level band, just the variables used by the text objects refer to the corresponding level (<HEADING2> instead of <HEADING1> and so on). What's not obvious, are the dots between the headings and the page numbers:

TOC Summary Band

The summary band is printed once at the end of the TOC. It does not repeat. We used this band to place a reference to the Keyword Index at the end of the user manual. This is similar to the "Foreword" reference (see above).


Foreword
Return to Introduction
The Foreword Page of our standard manual is similar to the title pages, except that is printed after the Table of Contents.

Page Header of the Foreword

The page header is identical to the page header of the Table of Contents. When we designed the manual template, we first finished the TOC completely and then copied the page header objects of the TOC onto the other sections.

To disable the Foreword

If you do not want to print a Foreword at all, you can disable it.

1. Click File | Page Settings
2. Select the second tab This Section Only
3. Disable the option Print Section
4. Remove the reference in the title band of the TOC


Top Level Intro
Return to Introduction
The Top Level Intro is printed before a new top level chapter starts. It is actually kind of a heading, on a separate page.

The large text object inside the gray circle prints the number of the current chapter in roman numbers.

When you print the user manual, there is possibly a blank page before the Top Level Intro. This is intention. We want intro to start on an odd page, so a blank page is inserted before, if necessary. You can change this option if you click File | Page Settings:

To disable the Top Level Intro

If you do not want to print this intro page, you can disable it.

1. Click File | Page Settings
2. Select the second tab This Section Only
3. Disable the option Print Section


Topics (Key Section)
Return to Introduction
The Topics Section is the key section of our print manual template. It defines how your topics get printed. The layout is actually very simple. This section has 7 predefined bands.

Page Header of the Topics Section

The page header is identical to the page header of the Table of Contents. When we designed the manual template, we first finished the TOC completely and then copied the page header objects of the TOC onto the other sections.

Heading Bands in the Topics Section

The first 6 bands of this section are reserved for headings, similar to the headings in the Table of Contents. We actually use text objects with the same variables as in the TOC here.

Numbering on sub-level headings

The numbering text objects on sub-level headings display a string of ordering numbers divided by a dot. These dots do not automatically appear, we inserted them as static text.

The Topic Band

The last band in this section is the topic band. It contains one special object - the topic text placeholder. The size and position of the topic text placeholder defines the position and the minimum size of the printed topics.

Position and Width Defines the position and the width of the printed topic.

Height Defines the minimum height of a topic. If there is not enough space on a page to fit at least the minimum topic height, the topic including the preceeding headings is printed on the next page.


Endnotes
Return to Introduction
The Endnotes Page of our standard manual is similar to the title and foreword pages. This section is disabled by default.

To enable the Endnotes

1. Click File | Page Settings
2. Select the second tab This Section Only
3. Enable the option Print Section


Keyword Index (Key Section)
Return to Introduction
The Keyword Index is another important section of our print manual template. It prints a keyword index with page references, if you have defined keywords in your help project (if not, the keyword index is omitted). This section has 4 predefined bands.

Page Header of the Keyword Index

The page header is identical to the page header of the Table of Contents. When we designed the manual template, we first finished the TOC completely and then copied the page header objects of the TOC onto the other sections.

The Title Band

This band is printed once at the beginning of the keyword index. It does not repeat. We used it to place the caption "Index" there and that's all.

The Section Heading Band

This band is printed when a new keyword section starts. Keyword sections are the characters A to Z. The text object on this band which uses the variable <INDEXSECTION> is responsible to print this character.

The Keyword Band

This band is repeated for every top-level keyword (see also top-level and second-level keywords). The text object on this band defines two variables:

<INDEXKEYWORD> The text of the top-level keyword
<KEYWORDPAGENUMBERS> A string of page numbers where this keyword occurred.

Note that both variables are on the same line, they are just separated by a few blanks.

The Second-Level Keyword Band

This band is repeated for every second-level keyword (see also top-level and second-level keywords). The text object on this band defines two variables:

<INDEXKEYWORD2> The text of the second-level keyword
<KEYWORDPAGENUMBERS> A string of page numbers where this keyword occurred.

Note that both variables are on the same line, they are just separated by a few blanks.


Endnotes 2
Return to Introduction
The Endnotes 2 Page of our standard manual is similar to the Endnotes page, except that it is printed after the Keyword Index.

To disable the Endnotes 2

1. Click File | Page Settings
2. Select the second tab This Section Only
3. Disable the option Print Section


Back Cover
Return to Introduction
The Back Cover is the equivalent to the Cover Page.

To disable the Back Cover

1. Click File | Page Settings
2. Select the second tab This Section Only
3. Disable the option Print Section


Print Problems Overview
Return to Introduction
We can distinct two categories of printing problems: (a) problems that result from the template design and (b) problems that result from bugs in printer drivers.

To find out which problem you face, compare the print preview with the real printout.
Are both equal?

Yes: The problem results from the print manual template. If you cannot solve it, please try to print your help project with the standard template, to see whether that works.

No: The problem results from the printer driver. This is unfortunately often the case. We have had bad experiences especially with printer drivers from Hewlett Packard.


Blank pages are inserted randomly
Return to Introduction
Test the printout with the print preview: the print preview prints an appropriate note on pages which are intentionally left blank.

Solution:

If the blank page occurs before a specific section, change the page break option of this section to "Any new page":

If the blank page occurs between topics, check the page break options of the topic bands as well:


Text objects are always transparent
Return to Introduction
If your text objects appear transparent although you defined an opaque background, this is a printer driver bug. The same problem may occur with shapes as well. During testing, we experienced this problem regularly with HP printer drivers.

Solution:
Get an updated printer driver from the manufacturer
If that does not help, you may even try a driver for different model of the same manufacturer


Lines are extremely small
Return to Introduction
This is by design. The line width of shape objects is in pixel. While a 1-pixel line may appear relatively solid on your screen, it may be very thin when you print the user manual.

The reason is the different resolution. Your desktop has a virtual resolution of between 96 and 120 dpi. Your printer has 300, 600 dpi or more. One pixel on the screen is bigger than one pixel on the printer.

Solution:
Increase the line width of the shape objects


Images print with a bad quality
Return to Introduction
It depends on your printer and your printer settings, how it handles image printing.

If you experience a bad image quality, try to change the printer settings first. If that does not help, check the images and use true color images (color depth 24 bit) instead of images with a limited color depth.

Solution:
Change the printer settings first
Check images and try to use true color images


BtnCopy

 Copy

Copies the selected object or text to the clipboard.


BtnCut

 Cut

Cuts the selected object or text and copies it to the clipboard.


BtnImage

 Insert Image

Click this button to insert an image. The image will be placed where you click with the mouse in the workspace.


BtnLabel

 Insert Text Object

Click this button to insert a text object. The text object will be placed where you click with the mouse in the workspace.


BtnLabelAlignment

 Alignment

Specifies the alignment of the text. Multiple lines have the same alignment.


BtnLabelColor

 Color

Specifies the Background color of the text object.


BtnLabelFont

 Font

Defines the font face, size and style of the text object.


BtnLabelVariable

 Variable

Opens a dialog window to select predefined text variables that can be combined with static text.


BtnLoadImage

 Load File

Loads an image from a file.


BtnNew

 New

Opens a dialog to create a new print manual template.


BtnOpen

 Open

Opens an existing print manual template.


BtnPaste

 Paste

Inserts the content of clipboard.


BtnPasteImage

 Paste

Pastes the clipboard content, if the clipboard contains an image.


BtnPointer

 Insert Mode Idle

Turns off insert mode.


BtnSave

 Save

Saves the current template. This command is available when changes to your project have been made. To save your template with a different file name, select Save as from the File menu.


BtnShape

 Insert Shape

Click this button to insert a shape. Shapes are rectangles, circles, lines, etc. The shape will be placed where you click with the mouse in the workspace.


BtnShapeColor

 Fill Color

Defines the fill color of the shape. Shapes can be transparent as well.
Note: The fill color is not available to simple lines.


BtnShapeFrameColor

 Frame Color

Defines the color of the frame. For simple line shapes, this is the color of the line.


BtnTopic

 Insert Topic Text Placeholder

Click this button to insert a placeholder for the topic text. This object type is only valid for the Topic band in the Topics section. When you print a manual, this object is replaced by the topic text.


BtnUndo

 Undo

Reverses the last action you made.


CbApplyAll

 Apply settings to all pages

To apply the same margins to all section, check this option before you click OK.


CbExpandWithBand

 Expand with Band

If a print object is placed on a band and the band expands vertically, the object expands as well.

Example:


CbFlipMargins

 Flip Margins

This option is only valid if you specify a different value for the left and right margin. The margins are defined for an odd page. If you check the Flip Margins option, the left and right margins are exchanged on even pages.


CbImageDrawMode

 Draw Mode

Defines how the image is painted.


CbLabelWordWrap

 Word Wrap

Defines whether the text wraps to the next line or not. If WordWrap is enabled, the text object will expand vertically to fit the text. If disabled, the text object will expand horizontally.


CbMoveWithBand

 Move with Band

If a print object is placed on a band and the band expands vertically, the object moves with the enlarged band.

Example:


CbMoveWithMargin

 Move with Margin

On even pages, this option re-adjusts the left position of the object, according to the left and right margin.

In the page options dialog, you can specify the left and right margin of a page. There is further an option to flip the left and right margin on even pages. If you do this, you may want page header and footer objects to move accordingly with the left and right margin.

This option is available for objects that are placed directly on the page background, not on a band. Objects placed on bands move automatically with the band.


CbPageBreak

 Page Starts...

A new section always starts a new page. This option defines whether the section can start on any new page (even or odd) or if it must begin on an odd page.


CbPages

 Manual Sections (Combo Box)

Use this combo to select a section of the print manual. The workspace displays only one section at a time.


CbPageUsed

 Print Page

Use this option to include or exclude the current section from printing. Since the print manual sections are predefined, you cannot delete a section. But you can exclude it from printing.


CbPaperSize

 Paper Size

Defines the size of the manual pages. The values of Width and Height are in ruler units. To define a custom size, for instance a CD booklet of 12 x 12 cm, select Custom Size, then enter Width and Height manually.

This option applies to all pages of the print manual.


CbPrintOn

 Print On...

Defines whether the object is printed on all pages or on even resp. odd pages only. This option can be used to create flipping page headers and footers.

To see the flipping effect during design time, select one of the views on the tool bar. These tool bar buttons change the view:


CbResetPageNumber

 Reset Page Numbering

Check this option to reset the page number during printing. By default, the page numbering starts with "1" at the very first page and continues to increase. If you want to reset the numbering when the current section starts printing, check this option.


CbShapeType

 Shape Type

Specifies the type of the shape. Shapes can be rectangles, circles, ellipses or simple lines.


EdColumns

 Columns

This value is only valid for sections which have bands. These are the Table of Contents, Topics and the Keyword Index.

If you want the current section to print in two columns, increase this value. Especially the keyword Index often does not need the whole page width.


EdKeywordSections

 Keyword Separators

This option defines how keywords are separated. The default separators are the letters A to Z. With respect to the language of your manual and the keywords defined therein, you may want to specify different separators.


EdMargin

 Margins

Defines the margins of the section in ruler units. The margins are separate for each section. To apply the same margins to all section, check Apply settings to all pages before you click OK.


EdPosition

 Object Position and Size

Specifies the position and size of the print object in ruler units (cm or inch). Use these entry fields to specify the size and position of an object accurately.

The screen resolution in pixels is lower than a typical printer resolution. So when you resize or drag an object with the mouse, you get a less accurate position than if you specify it here.


EdShapeFrameWidth

 Frame Width

Defines the width of the shape frame in pixel. For simple line shapes, this is the width of the line.


FrmHMDesigner

Main Window (Workspace)
Return to Introduction
The workspace of the print manual designer shows the manual in page layout.

Since the print manual is divided into several sections, only one section is displayed at a time. To display a different section, select the desired section from the drop down list on the tool bar.


FrmObjectOptions

Object Properties
Return to Introduction
The Object Options dialog lets you change particular options of the selected object.
For a detailed description of a particular print object refer to the object types:

Text Objects
Shape Objects
Image Objects
Topic Text Placeholder

Common options which apply to all object types:

Left, Top, Width and Height define the position and size of the object. You can resize and move objects with the mouse as well. Use the edit boxes to specify an accurate object position and size.

Expand with Band

If a print object is placed on a band and the band expands vertically, the object expands as well. [ More]

Move with Band

If a print object is placed on a band and the band expands vertically, the object moves with the enlarged band. [ More]

Move with Margin

On even pages, this option re-adjusts the left position of the object, according to the left and right margin. [ More]

Print on...

Defines whether the object is printed on all pages or on even resp. odd pages only. [ More]


FrmPageOptions

Page Options Dialog
Return to Introduction
The Page Options dialog lets you change the page format of the print manual. This dialog has two tab sheets:

All Pages (Tab Sheet)

The settings on this tab apply equally to all sections of the print manual. It defines the page format, paper orientation and lets you add a general design-time comment.

This Page Only (Tab Sheet)

The second tab displays properties of the current section. You can switch the current section by selecting it from the tool bar:

The content of the second tab depends on the selected section.


GridBands

 Band Heights and Page Breaks

This grid is enabled if a section has bands. The sections Table of Contents, Topics and the Keyword Index do have bands.

Band Height
You can easily edit the height of the bands here. To disable a band, set it's height to zero.

Page Break
Page breaks are only enabled for the bands of the Topics section. This column defines - per heading level - whether a page break should be inserted in the print manual, before a heading (and the following topic) is printed.


IDH_APP_HMB

 What's This? Button

Click to start up a temporary context-sensitive help mode. In this help mode you can left click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel the context sensitive help mode.


IDH_APPLY_BTN

 Apply Button

Saves all changes you have made
without closing the dialog box.


IDH_CANCEL_BTN

 Cancel Button

Closes this dialog box without saving any changes
you have made.


IDH_CLOSE

 Close

Closes the current window.


IDH_DEFAULT

 No Help topic is associated with this item.


IDH_HELP_BTN

 Help

Displays a help topic that gives you an
overview of this dialog.


IDH_OK_BTN

 OK Button

Applies changes you have made and then
closes this dialog box.


IDH_WHAT_IS_THIS_CMD

 What's This? (Help Menu)

Starts up a temporary, context-sensitive help mode.
In this help mode you can left click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel the context sensitive help mode.


IDH_WHAT_IS_THIS_POPUP

 What's This? Command

To get help on the selected object click What's This?


MeDescription

 Description

Provides a place to enter an additional (internal) description of the manual template.


MeLabelCaption

 Text

Enter the caption of the text object here. You can either enter static text (this is any text) or variables (such as <heading1>) or combine them. More on text variables in the chapter Designing a Print Manual.


mnuEditBringFront

 Bring to Front

Puts the selected object(s) in front of all other objects.


mnuEditDelete

 Delete

Deletes the selected objects.


mnuEditProperties

 Edit Properties...

Edits the properties of the selected object.


mnuEditSelectAll

 Select All

Selects all objects on the current page or band.


mnuEditSendBack

 Send to Back

Moves the selected object(s) behind all other objects.


mnuEditUnselect

 Unselect All

Removes the current selection.


mnuExit

 Exit

Closes the application and exits.


mnuHelpAbout

 About

Displays the About box.
The About box shows you the software version.


mnuHelpTOC

 Help Contents

Displays the online help.


mnuSaveas

 Save as...

Saves the current template under a different file name.


mnuViewObjects

 View Objects

Objects can be defined to print on all pages or on even resp. odd pages only. Use the View menu to see objects only that match the selected criteria.


PnlRuler

 Rulers

The two rulers either display cm or inch. To toggle the value, click the button in the top left corner of both rulers.


RbPortrait

 Orientation

Defines the orientation of the manual pages. This option applies to all pages of the print manual.


SbWorkspace

 Workspace

This is the workspace of the print manual designer. Use the tool bar buttons to insert new objects.


Standard topics

 This topic is a dummy topic - it does never appear. It is used only to group standard help topics properly.